/**********************************************************************
ID: acconfig.h

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/

/* Define wether or not to block binaries */
#undef BLOCK_BINARIES

/* Define if we should do bot checks */
#undef DO_BOT_CHECKS

/* Define if we should do path header based auto-accepting */
#undef PATH_MATCH

/* Define if we should do massive debugging. */
#undef TESTOUTPUT

/* Define install path */
#undef INSTALLPREFIX

/* If the OS is Linux, define this. */
#define __LINUX__ 0

/* If the OS is Solaris 2.x, define this. */
#define __SOLARIS2__ 0
