/**********************************************************************
ID: decompose.h

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#include "logging.h"

#ifndef TESTOUTPUT
#include "config.h"
#endif

typedef struct {
    char *approved;
    char *content_base;
    char *content_disposition;
    char *content_type;
    char *control;
    char *date;
    char *distribution;
    char *followup_to;
    char *from;
    int lines;
    char *message_id;
    char *newsgroups;
    char *nntp_posting_host;
    char *organization;
    char *path;
    char *references;
    char *reply_to;
    char *sender;
    char *subject;
    char *x_trace;
    char *x_newsreader;
    char *x_newsposter;
    char *x_mailer;
    char *x_cancelled_by;
    char *body;
} MSGPARTS;

int decompose(char *,MSGPARTS *,long int);
int freemsgparts(MSGPARTS *);
