/**********************************************************************
ID: logging.h

Copyright 2001, Bulent Yilmaz

Part of Microbrew MicroSieve
USENET SPAM filter

http://www.microbrew.org/products/usieve.html


MicroSieve is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

MicroSieve is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with MicroSieve; if not, write to the Free Software Foundation, Inc.,
59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

**********************************************************************/
#ifndef __LOGGING_H
#define __LOGGING_H 1

#ifndef _STDIO_H
#include <stdio.h>
#endif

#ifndef _UNISTD_H
#include <unistd.h>
#endif

#include "conffile.h"

#define MAX_LOG_LINES 10000

FILE *getloghandle();
int cflog(char *);
int cflogreopen();
int logarticle(char *,long int);
int writepid();
#endif
